Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1887025 - gdb doesn't suggest a debuginfo-install command
Summary: gdb doesn't suggest a debuginfo-install command
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: 33
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Keith Seitz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1894154 1894703 1915430
TreeView+ depends on / blocked
 
Reported: 2020-10-10 06:38 UTC by Ivan Molodetskikh
Modified: 2021-01-12 16:08 UTC (History)
11 users (show)

Fixed In Version: gdb-9.2-8 gdb-9.2-8.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1894154 (view as bug list)
Environment:
Last Closed: 2020-11-04 03:02:19 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1874275 0 unspecified ASSIGNED please make GDB advise to use dnf debuginfo-install filename instead dnf --enablerepo='*debug*' install filename 2022-05-16 11:32:56 UTC

Description Ivan Molodetskikh 2020-10-10 06:38:45 UTC
Description of problem:
In F33 gdb no longer suggests a debuginfo-install command, making getting good backtraces for crash reports very tedious.

Version-Release number of selected component (if applicable):
gdb-9.2-7.fc33.x86_64

How reproducible:
Always

Steps to Reproduce:
1. coredumpctl gdb after a crash or attach to something with gdb

Actual results:
No debuginfo-install suggested.

Expected results:
gdb suggests debuginfo-install like it used to.

Comment 1 Michael Catanzaro 2020-11-02 17:21:21 UTC
Hi, any idea what has gone wrong here?

Could it be related to debuginfod? Or to LTO?

Comment 2 Keith Seitz 2020-11-02 17:25:07 UTC
It's probably a rebase error or even the deubginfod backport. I will investigate.

Comment 3 Keith Seitz 2020-11-02 21:03:10 UTC
Yeah, it's the debuginfod backport. New rawhide build coming.

While Kevin would prefer to rebase Fedora 33 to gdb-10.1, eliminating the offending patch
altogether, I think this important enough to warrant backporting.

Comment 4 Fedora Update System 2020-11-02 21:33:05 UTC
FEDORA-2020-8b6eb54798 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-8b6eb54798

Comment 5 Sergio Basto 2020-11-03 00:52:07 UTC
please see also https://bugzilla.redhat.com/show_bug.cgi?id=1874275

Comment 6 Fedora Update System 2020-11-03 02:26:52 UTC
FEDORA-2020-8b6eb54798 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-8b6eb54798`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8b6eb54798

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Ivan Molodetskikh 2020-11-03 07:27:35 UTC
I can't install it for some reason:

$ rpm -q gdb
gdb-9.2-7.fc33.x86_64
$ sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-8b6eb54798 
Last metadata expiration check: 0:00:08 ago on Вт 03 ноя 2020 10:27:00.
No security updates needed, but 147 updates available
Dependencies resolved.
Nothing to do.
Complete!

Comment 8 Fedora Update System 2020-11-04 03:02:19 UTC
FEDORA-2020-8b6eb54798 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.